Bug 1119032 - python3-dnf-0.5.3 conflicts with dnf-0.5.2
python3-dnf-0.5.3 conflicts with dnf-0.5.2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-13 07:16 EDT by Miro Hrončok
Modified: 2014-09-30 19:42 EDT (History)
5 users (show)

See Also:
Fixed In Version: hawkey-0.4.18-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-19 02:03:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2014-07-13 07:16:51 EDT
Description of problem:

Error: Transaction check failed*:
  file /usr/share/man/man8/dnf.8.gz from install of python3-dnf-0.5.3-1.fc20.noarch conflicts with file from package dnf-0.5.2-1.fc20.noarch
  file /usr/share/man/man8/dnf.conf.8.gz from install of python3-dnf-0.5.3-1.fc20.noarch conflicts with file from package dnf-0.5.2-1.fc20.noarch

* or similar, back-translated form Czech

Version-Release number of selected component (if applicable):
dnf-0.5.3-1.fc20

Steps to Reproduce:
1. Have dnf 0.5.2 installed
2. Install python3-dnf when 0.5.3 is already in the repository
3. Observe the failure

Note: Updating dnf first solves the problem.

I believe that pythno3-dnf should require dnf = %{version}%{release} to avoid this kind of problems.
Comment 1 Ales Kozumplik 2014-07-14 01:02:14 EDT
Thanks for the report, reproduced.
Comment 2 Ales Kozumplik 2014-07-16 04:03:59 EDT
Fixed by 9615a75.
Comment 3 Fedora Update System 2014-07-17 02:42:50 EDT
hawkey-0.4.18-2.fc20, dnf-0.5.4-1.fc20, libsolv-0.6.4-0.git2a5c1c4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hawkey-0.4.18-2.fc20,dnf-0.5.4-1.fc20,libsolv-0.6.4-0.git2a5c1c4.fc20
Comment 4 Fedora Update System 2014-07-19 02:03:22 EDT
hawkey-0.4.18-2.fc20, dnf-0.5.4-1.fc20, libsolv-0.6.4-0.git2a5c1c4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.